rte_ml_dev_qp_conf(3)

NAME
rte_ml_dev_qp_conf

SYNOPSIS

#include <rte_mldev.h>

  Data Fields

uint32_t nb_desc
rte_ml_dev_stop_flush_t cb

Detailed Description

ML device queue pair configuration structure.

Definition at line 305 of file rte_mldev.h.

Field Documentation

  uint32_t nb_desc
Number of descriptors per queue pair. This value cannot exceed the max_desc which previously provided in struct rte_ml_dev_info:max_desc

Definition at line 306 of file rte_mldev.h.

  rte_ml_dev_stop_flush_t cb
Callback function called during rte_ml_dev_stop(), invoked once per active ML op. Value NULL is allowed, in which case callback will not be invoked. This function can be used to properly dispose of outstanding ML ops from all queue pairs, for example ops containing memory pointers.

See also
    rte_ml_dev_stop()

Definition at line 311 of file rte_mldev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.